<div class="row">
    @if (!getLoggedinPatient())
        <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
            <label class="pb-2 fs-5 text-gray-600">{{ __('messages.case.patient') . ':' }}</label>
            <span class="fs-5 text-gray-800">{{ $deathReport->patient->user->full_name }}</span>
        </div>
    @endif
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.death_report.case_id') . ':' }}</label>
        <span class="col-md-2 badge bg-light-info text-decoration-none fs-5 text-gray-800">{{ $deathReport->case_id }}</span>
    </div>
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.case.doctor') . ':' }}</label>
        <span class="fs-5 text-gray-800">{{ $deathReport->doctor->user->full_name }}</span>
    </div>
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.death_report.date') . ':' }}</label>
        <span
            class="fs-5 text-gray-800">{{ \Carbon\Carbon::parse($deathReport->date)->translatedFormat('jS M, Y g:i A') }}</span>
    </div>
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.death_report.description') . ':' }}</label>
        <span class="fs-5 text-gray-800">{!! !empty($deathReport->description) ? nl2br(e($deathReport->description)) : 'N/A' !!}</span>
    </div>
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.common.created_on') . ':' }}</label>
        <span class="fs-5 text-gray-800" data-toggle="tooltip" data-placement="right"
            title="{{ \Carbon\Carbon::parse($deathReport->created_at)->translatedFormat('jS M, Y') }}">{{ \Carbon\Carbon::parse($deathReport->created_at)->diffForHumans() }}</span>
    </div>
    <div class="col-md-6 d-flex flex-column mb-md-10 mb-5">
        <label class="pb-2 fs-5 text-gray-600">{{ __('messages.common.last_updated') . ':' }}</label>
        <span class="fs-5 text-gray-800" data-toggle="tooltip" data-placement="right"
            title="{{ \Carbon\Carbon::parse($deathReport->updated_at)->translatedFormat('jS M, Y') }}">{{ \Carbon\Carbon::parse($deathReport->updated_at)->diffForHumans() }}</span>
    </div>
</div>
